Subject: bug#23481: 25.1.50; vc-next-action cannot commit for emacs master

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 May 2016 21:47:17 +0300

> From: Uwe Brauer <[email-masked]>
> Cc: Uwe Brauer <[email-masked]>, [email-masked]
> Date: Sun, 08 May 2016 18:19:36 +0000
> 
>    > Didn't it also display this message:
> 
>    >   Nonempty second line in commit message
>    >   Commit aborted; please see the file CONTRIBUTE
> 
> Not that I can remember.

That's strange.  When I tried your recipe, I did see that message.

>    > IOW, this is a cockpit error: the Emacs repository enforces the above
>    > rule, and your commit didn't comply.  If you modify the commit log
>    > entry so that the 2nd line is empty, everything will work as expected.
> 
> But it is not clear to me what 2nd line means here:

Your log message should have a one-line summary line, then an empty
line, then the rest of the log.  See CONTRIBUTE, where all this is
explained in more detail.

> This is  what I after running vc-next-action and C-c Ca
> 
> Summary: 
> Author: 
> -----------------------------------------------------
> * vc-hg.el (vc-hg-symbolic-revision-styles):
> Add a phrase to the docstring, which explains how to obtain the
> old behavior of the modeline.
> 
> * vc-hg.el (vc-hg-symbolic-revision-styles):
> Add a phrase to the docstring: When this variable is t, the
> modeline contains revision information for the visited file,
> however in order to obtain the old behavior of the modeline,
> vc-hg-symbolic-revision-styles needs to be modified.
> 
> 
> The line is only displayed it is not real (I presume you are using vc as
> well).
> So what, now? Shall I delete the line starting Author? That does not work.

Put some summary text after "Summary:", then add an empty line after
"Author:" (I think deleting "Author:" is also okay, but there should
be an empty line after the "------" line.

> I am really sorry that seems so trivial, but 2nd line is not clear to
> me.
> 
> >From the CONTRIBUTION file
> 
> - If you use Emacs VC, one way to format ChangeLog entries is to create
>   a top-level ChangeLog file manually, and update it with 'C-x 4 a' as
>   usual.  Do not register the ChangeLog file under git; instead, use
>   'C-c C-a' to insert its contents into into your *vc-log* buffer.
>   Or if 'log-edit-hook' includes 'log-edit-insert-changelog' (which it
>   does by default), they will be filled in for you automatically.
> 
> 
> So nothing said about an empty line in that paragraph.

That's not all it says.  It also says this:

  ** Commit messages

  Ordinarily, a change you commit should contain a log entry in its
  commit message and should not touch the repository's ChangeLog files.
  Here is an example commit message (indented):

	  Deactivate shifted region

	  Do not silently extend a region that is not highlighted;
	  this can happen after a shift (Bug#19003).
	  * doc/emacs/mark.texi (Shift Selection): Document the change.
	  * lisp/window.el (handle-select-window):
	  * src/frame.c (Fhandle_switch_frame, Fselected_frame):
	  Deactivate the mark.

  Occasionally, commit messages are collected and prepended to a
  ChangeLog file, where they can be corrected.  It saves time to get
  them right the first time, so here are guidelines for formatting them:

  - Start with a single unindented summary line explaining the change;
    do not end this line with a period.  If that line starts with a
    semicolon and a space "; ", the commit message will be ignored when
    generating the ChangeLog file.  Use this for minor commits that do
    not need separate ChangeLog entries, such as changes in etc/NEWS.

  - After the summary line, there should be an empty line, then
    unindented ChangeLog entries.